Summary: A library for reading and returning lines from a terminal.
Name: readline2.2.1
Version: 2.2.1
Release: 2
Copyright: GPL
Group: System Environment/Libraries
Source: ftp://prep.ai.mit.edu/pub/gnu/readline-%{version}.tar.gz
Patch0: readline-2.2.1-shared.patch
Patch1: readline-2.2.1-guard.patch
Prereq: /sbin/ldconfig
ExcludeArch: ia64
Prefix: %{_prefix}
Buildroot: /var/tmp/readline-root

%description
The readline library reads a line from the terminal and returns it,
allowing the user to edit the line with standard Emacs editing keys.
The readline library allows programmers to provide an easy to use and
more intuitive interface for users.

This version of the readline package provides backwards compatibility
for programs built against Red Hat Linux 6.2.

%prep
%setup -q -n readline-%{version}
%patch0 -p1 -b .shared
%patch1 -p1 -b .guard

%build
%configure
make static shared

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall install-shared 

( cd $RPM_BUILD_ROOT
  ln -sf libreadline.so.3.0 ./%{_prefix}/lib/libreadline.so
  ln -sf libhistory.so.3.0 ./%{_prefix}/lib/libhistory.so
)
 
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_prefix}/lib/lib*.so.*

%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- build compat package.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added guard patch from Taneli Huuskonen <huuskone@cc.helsinki.fi>

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.2.1

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- don't package /usr/info/dir

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- added proper sonames

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- updated to readline 2.1

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
